import { isUrl } from '../utils/utils';
import { Base64 } from 'js-base64';

function getActionId(arr, path) {
  let arrId = [];
  arr.map((item, index) => {
    arrId.push(item.action);
  });
  if(arrId.indexOf(path) > -1) {
    return arr[arrId.indexOf(path)]['id'].toString();
  }
}

function formatter(data, parentPath = '') {
  return data.map(item => {
    let { url } = item;
    if (!isUrl(url)) {
      url = parentPath + item.url;
    }
    const result = {
      ...item,
      path: url,
    };
    if (item.children && item.children.length) {
      result.children = formatter(item.children, `${parentPath}${item.url}/`);
    }
    return result;
  });
}
export const getMenuData = () => formatter(JSON.parse(window.localStorage.getItem("authorityMenu")) || []);
