import { stringify } from 'qs';
import request from '../utils/request';
const protocol = 'http://admin.lite.seemore.club/api';//正式
// const protocol = 'http://47.108.210.253:8848';//测试
// const protocol = 'http://test.admin.seemore.club/api';//测试
// const protocol = 'http://192.168.168.209:8082';//tq
// const protocol = 'http://192.168.168.244:8082';//良竹
export async function query() {
  return request(`${protocol}/users`);
}

export async function queryCurrent() {
  // console.log('queryCurrent()');
  return request(`${protocol}/v1/manager/info`, {
    method: 'GET',
    // body: params,
  });
}

export async function queryPassword(params) {
  return request(`${protocol}/v1/manager/passsword`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryAdministrator(params) {
  return request(`${protocol}/v1/manager/info?${stringify(params)}`);
}

export async function queryAdministratorSubmit(params) {
  return request(`${protocol}/v1/manager/info`, {
    method: 'POST',
    body: params,
  });
}

export async function queryAdministratorEditSubmit(params) {
  return request(`${protocol}/v1/manager/info`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryAdministratorList(params) {
  return request(`${protocol}/v1/manager/list`, {
    method: 'POST',
    body: params,
  });
}

export async function fakePersonalSubmit(params) {
  return request(`${protocol}/v1/manager/info`, {
    method: 'PUT',
    body: params,
  });
}

export async function deleteAdministrator(params) {
  return request(`${protocol}/v1/manager/lock`, {
    method: 'PUT',
    body: params,
  });
}

export async function resetPassword(params) {
  return request(`${protocol}/v1/manager/resetPasssword`, {
    method: 'PUT',
    body: params,
  });
}
